For the complete documentation index, see llms.txt. This page is also available as Markdown.

User Description

Manage VARIO Cloud user details via the REST API, including account links, default and current locations, custom fields, and CRUD operations.

the UserDescription API

Find an existing Resource by identifier

get
Path parameters
idinteger · int64Required

an identifier

Responses
200

successful operation

application/json
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

parameterstringRequired

parameter

fieldsstringOptional
get/erp/user-details/{id}
GET /erp/user-details/{id} HTTP/1.1
Host: api.example.com
Accept: */*
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "userRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "accountRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "defaultLocationRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "currentLocationRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "customUserDetailFields": {
    "empty": true,
    "array": true,
    "null": true,
    "object": true,
    "float": true,
    "missingNode": true,
    "valueNode": true,
    "container": true,
    "integralNumber": true,
    "binary": true,
    "nodeType": "ARRAY",
    "string": true,
    "pojo": true,
    "short": true,
    "int": true,
    "long": true,
    "double": true,
    "bigDecimal": true,
    "bigInteger": true,
    "boolean": true,
    "floatingPointNumber": true,
    "number": true,
    "embeddedValue": true
  },
  "parameter": "text",
  "fields": "text"
}

Update existing Resource

put
Path parameters
idinteger · int64Required

an identifier

Body
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

parameterstringRequired

parameter

fieldsstringOptional
Responses
200

successful operation

application/json
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

parameterstringRequired

parameter

fieldsstringOptional
put/erp/user-details/{id}
PUT /erp/user-details/{id} HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 585

{
  "version": "text",
  "info": {},
  "id": "text",
  "userRef": {
    "id": "text"
  },
  "accountRef": {
    "id": "text"
  },
  "defaultLocationRef": {
    "id": "text"
  },
  "currentLocationRef": {
    "id": "text"
  },
  "customUserDetailFields": {
    "empty": true,
    "array": true,
    "null": true,
    "object": true,
    "float": true,
    "missingNode": true,
    "valueNode": true,
    "container": true,
    "integralNumber": true,
    "binary": true,
    "nodeType": "ARRAY",
    "string": true,
    "pojo": true,
    "short": true,
    "int": true,
    "long": true,
    "double": true,
    "bigDecimal": true,
    "bigInteger": true,
    "boolean": true,
    "floatingPointNumber": true,
    "number": true,
    "embeddedValue": true
  },
  "parameter": "text",
  "fields": "text"
}
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "userRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "accountRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "defaultLocationRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "currentLocationRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "customUserDetailFields": {
    "empty": true,
    "array": true,
    "null": true,
    "object": true,
    "float": true,
    "missingNode": true,
    "valueNode": true,
    "container": true,
    "integralNumber": true,
    "binary": true,
    "nodeType": "ARRAY",
    "string": true,
    "pojo": true,
    "short": true,
    "int": true,
    "long": true,
    "double": true,
    "bigDecimal": true,
    "bigInteger": true,
    "boolean": true,
    "floatingPointNumber": true,
    "number": true,
    "embeddedValue": true
  },
  "parameter": "text",
  "fields": "text"
}

Delete an existing Resource

delete
Path parameters
idinteger · int64Required

an identifier

Responses
200

successful operation

application/json
contextstringOptional

message context

messageValuestringOptional

message

delete/erp/user-details/{id}
DELETE /erp/user-details/{id} HTTP/1.1
Host: api.example.com
Accept: */*
{
  "context": "text",
  "messageValue": "text"
}

Create new Resource

post
Body
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

parameterstringRequired

parameter

fieldsstringOptional
Responses
200

successful operation

application/json
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

parameterstringRequired

parameter

fieldsstringOptional
post/erp/user-details
POST /erp/user-details HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 585

{
  "version": "text",
  "info": {},
  "id": "text",
  "userRef": {
    "id": "text"
  },
  "accountRef": {
    "id": "text"
  },
  "defaultLocationRef": {
    "id": "text"
  },
  "currentLocationRef": {
    "id": "text"
  },
  "customUserDetailFields": {
    "empty": true,
    "array": true,
    "null": true,
    "object": true,
    "float": true,
    "missingNode": true,
    "valueNode": true,
    "container": true,
    "integralNumber": true,
    "binary": true,
    "nodeType": "ARRAY",
    "string": true,
    "pojo": true,
    "short": true,
    "int": true,
    "long": true,
    "double": true,
    "bigDecimal": true,
    "bigInteger": true,
    "boolean": true,
    "floatingPointNumber": true,
    "number": true,
    "embeddedValue": true
  },
  "parameter": "text",
  "fields": "text"
}
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "userRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "accountRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "defaultLocationRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "currentLocationRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "customUserDetailFields": {
    "empty": true,
    "array": true,
    "null": true,
    "object": true,
    "float": true,
    "missingNode": true,
    "valueNode": true,
    "container": true,
    "integralNumber": true,
    "binary": true,
    "nodeType": "ARRAY",
    "string": true,
    "pojo": true,
    "short": true,
    "int": true,
    "long": true,
    "double": true,
    "bigDecimal": true,
    "bigInteger": true,
    "boolean": true,
    "floatingPointNumber": true,
    "number": true,
    "embeddedValue": true
  },
  "parameter": "text",
  "fields": "text"
}
get
Path parameters
idinteger · int64Required

User identifier.

Responses
200

OK

application/json
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

parameterstringRequired

parameter

fieldsstringOptional
get/erp/user-details/user-id/{id}
GET /erp/user-details/user-id/{id} HTTP/1.1
Host: api.example.com
Accept: */*
200

OK

{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "userRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "accountRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "defaultLocationRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "currentLocationRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "customUserDetailFields": {
    "empty": true,
    "array": true,
    "null": true,
    "object": true,
    "float": true,
    "missingNode": true,
    "valueNode": true,
    "container": true,
    "integralNumber": true,
    "binary": true,
    "nodeType": "ARRAY",
    "string": true,
    "pojo": true,
    "short": true,
    "int": true,
    "long": true,
    "double": true,
    "bigDecimal": true,
    "bigInteger": true,
    "boolean": true,
    "floatingPointNumber": true,
    "number": true,
    "embeddedValue": true
  },
  "parameter": "text",
  "fields": "text"
}

Last updated

Was this helpful?